Skip to main content
POST
/
whatsapp
/
campaigns
/
{_id}
/
start
Start a campaign
curl --request POST \
  --url https://api.otpiq.com/api/whatsapp/campaigns/{_id}/start \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "_id": "<string>",
    "campaignId": "<string>",
    "name": "<string>",
    "template": "<string>",
    "phoneNumber": "<string>",
    "scheduledFor": "2023-11-07T05:31:56Z",
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "totalRecipients": 123,
    "sentCount": 123,
    "deliveredCount": 123,
    "failedCount": 123,
    "estimatedTotalCost": 123,
    "reservedAmount": 123,
    "reconciledAmount": 123,
    "isSampleCampaign": true,
    "sampleOfCampaign": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
Once started, the campaign status will change to running and messages will begin sending.

Authorizations

Authorization
string
header
required

Project API key (sk_live… or sk_dev…). Send it as Authorization: Bearer <api_key>.

Path Parameters

_id
string
required

Campaign MongoDB id returned on create

Pattern: ^[a-fA-F0-9]{24}$

Response

Campaign started

success
enum<boolean>
required
Available options:
true
data
object
required